Subject: bug#28312: 25.2; Arabic script changes when scrolling

From: Andreas Schwab <[email-masked]>
Date: Fri, 01 Sep 2017 10:16:06 +0200

On Sep 01 2017, YAMAMOTO Mitsuharu <[email-masked]> wrote:

> I could reproduce a similar effect also on Darwin, but a different
> font backend driver (xft with libotf 0.9.3, m17n lib/db 1.7.0).
>
> 1. emacs -Q &
> 2. M-x describe-language-environment RET Arabic RET
> 3. Press and release the mouse button around the Arabic sample text.
>    (say, "Arabic" to the left)
>
> The appearance of the sample text changes if I press the button, and
> it changes back again when I release it.

I see such an effect if I start a (highlighted) region anywhere before
the arabic sample text.  The appearance changes while changing the
extend of the region.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."